<?php
include_once("c_setting_member.php");
class c_page_cab_setting_member_personals extends c_page_cab_setting_member
{
 public $h1='Фильтр по персоналу' ;
 var $rec_group ;

 function block_main()
 { $this->page_title() ;
   $this->panel_account_personals() ;
 }

 function panel_account_personals()
 { if ($this->rec_member['viewer_name']) $viewer_name=$this->rec_member['viewer_name'] ;
   else
   {
       $viewer_name=ACCOUNTS()->update_viewer_account($this->rec_account,['check_autorize_group'=>0,'no_save_viewer_name_to_account'=>1]) ;
   }

   include_once(_DIR_EXT.'/personal/report_personals.php');
   $report_obj=new report_personals();
   $report_obj->viewer_ids=$viewer_name ;
   $report_obj->no_use_account_usl_select=1  ;
   $report_obj->init() ;
   $report_obj->setting() ;
   $report_obj->view_as_HTML(array('debug'=>0));
 }
}



?>
